Product attributes are the objective and factual descriptions of products that shoppers see when they browse through an e-commerce platform. Attributes may be technical specifications like size, weight, etc., design specifications like color, material, etc., or basic specifications such as name, description, ID, etc. This endpoint is used to update product attributes, completely replacing the existing ones. Note:
1. This is recommended over PATCH /products/sku/{sku}/attributes, if the update involves replacing all the attributes. If there are any missing or null fields in the request, the original values will be replaced with empty ones.
2. If you don’t have product SKU, use the corresponding ID-based endpoint - PUT /products/{id}/attributes.
S2S access token (JWT) from fabric Identity service (during Login)
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Product SKU
Comma-separated statuses indicating the preferred order of the product versions considered for this operation (endpoint action). For example,
1. When the status is DRAFT, this operations will only apply to the Draft version of product, if it exists
2. When the status is LIVE, this operation will only apply to the Live version of the product, if it exists
3 When the status is LIVE,DRAFT, this operation will prioritize Live version first, if it exists. Otherwise, the Draft version is considered.
4 When the status is DRAFT,LIVE this operation will prioritize the Draft version first, if it exists. Otherwise, the Live version is considered.
"DRAFT"
OK
Details of Item by SKU
Product ID
"AASSBCC12334FCD12334V"
Unique product ID that maps to fabric's standard attribute called SKU.
Note: sku shouldn't include ; or =
"XP-123345"
Supported product types
ITEM, VARIANT, BUNDLE "ITEM"
true: Product is active
false: Product is inactive
true
true: Product has a Draft version
false: Product doesn't have a Draft version
true
true: Product has a Live version
false: Product doesn't have a Live version
true
Represents the current status of product. This value takes precedence over isActive if both are sent in the request.
DRAFT, LIVE "LIVE"
Attributes assigned to product
Localized attribute names
{
"en-US": {
"attributes": [
{
"id": "4e7329dfd5288b0011332366",
"name": "Color",
"type": "string",
"isDeleted": false,
"value": "blue",
"isInherited": true
}
]
}
}Parent item SKU of the Variant
Variants with ID and SKU
Bundles with ID and SKU
24-character system-generated category ID of product
"6h7329dfd5288b001133231d"
Time of product creation (UTC)
"2021-09-14T22:10:30.618Z"
Time of last update to product (UTC)
"2021-09-14T22:10:30.618Z"